<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Look_Like_GBO  2                                        |
// | Plugin Version : 2.11.A                                                |
// | File Version : 0.1                                                    |
// | Plugin Version author : GBo                                           |
// | Plugin description :                                                  |
// | Ce plugin permet d'afficher les miniatures au survol des boutons      |
// | de navigation. This plugin allows display thumbnail under buton       |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// ***************************************
// ** Plugin Administration panel setup **
// ***************************************
if (!defined('LLGBO_PATH')) die('Hacking attempt!');

include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
// Setup plugin Language
load_language('plugin.lang', LLGBO_PATH);
include(LLGBO_PATH.'defaultvalues.php');

/* ****************************************************** */
/* Plugin template initialisation for admin panel display */
/* ****************************************************** */
global $template,$prefixeTable,$conf,$lang; 
$template->assign( 'LLGBO_VERSION' ,LLGBO_VERSION);
$template->assign('LLGBO_PATH',LLGBO_PATH);

$query =" SELECT ID FROM ".$prefixeTable."themes where id like '%gally%' " ;
$result = pwg_query($query);
 while ($row = pwg_db_fetch_assoc($result))
 { 	$template->assign( 'GALLY', 'Msg');	}

// +-----------------------------------------------------------------------+
// |                            Tabssheet visible 
// +-----------------------------------------------------------------------+

$page['tab']  =  (isset($_GET['tab'])) ?   $_GET['tab'] : 'settings';
 if ((empty($_POST['submit'])) or  ($page['tab']  != 'settings'))
		{ 	$disptabframe  =  $conf['LLGBO2']['frame'];
			$disptabheader =  $conf['LLGBO2']['manageheader'];
		//	$disptabtoolt1 =  $conf['LLGBO2']['tooltipdisp'];
			$disptabtoolt2 =  $conf['LLGBO2']['exifunderbt'];
		}
			else
		{ 	$disptabframe  = (isset($_POST['llgbo_frame']))			?  $_POST['llgbo_frame'] 		: False;
			$disptabheader = (isset($_POST['llgbo_manageheader']))	?  $_POST['llgbo_manageheader']	:  False;
		//	$disptabtoolt1 = (isset($_POST['llgbo_tooltipdisp'])) 	?  $_POST['llgbo_tooltipdisp']	:  False;
			$disptabtoolt2 = (isset($_POST['llgbo_exifunderbt'])) 	?  $_POST['llgbo_exifunderbt']	:  False;
		}
// +-----------------------------------------------------------------------+
// |                          Tab sheet                            |
// +-----------------------------------------------------------------------+
$tabsheet = new tabsheet();

$tabsheet->add('setting', '<span class="icon-tools" ></span>'.l10n('llgbo_M_manage'), LLGBO_ADMIN.'&amp;tab=settings'); 

/*
if (($disptabtoolt1 == True) or ($disptabtoolt2 == True)) 
	{$tabsheet->add('tooltip','<span class="icon-tags" ></span>'.l10n('llgbo_M_tooltip'), LLGBO_ADMIN.'&amp;tab=tooltip');}	
*/
	
if (($disptabframe == True))
	{$tabsheet->add('frame','<span class="icon-equalizer" ></span>'.l10n('llgbo_M_frame'),  LLGBO_ADMIN.'&amp;tab=frame');}
 
	
if (($disptabheader == True))
	{$tabsheet->add('header', '<span class="icon-eye" ></span>'.l10n('llgbo_M_header'),  LLGBO_ADMIN.'&amp;tab=header');}
	
$tabsheet->select($page['tab']);
$tabsheet->assign();
 

 // +-----------------------------------------------------------------------+
// |                             template init                             |
// +-----------------------------------------------------------------------+

$template->set_filenames(
  array(
    'llgbo_admin_content' =>  dirname(__FILE__).'/admin/'.$page['tab'].'.tpl'
    )
  );
// +-----------------------------------------------------------------------+
// |                             Load the tab                              |
// +-----------------------------------------------------------------------+

include(dirname(__FILE__).'/admin/'.$page['tab'].'.php');
// +-----------------------------------------------------------------------+
// |                           sending html code                           |
// +-----------------------------------------------------------------------+
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'llgbo_admin_content');
// update values in $conf[LLGBO2] in place of  array_replace PHP 5.3
function update_llgboconf($old_values, $new_values)
	{   
	foreach ($new_values as $cle  => $value) 
		{$old_values [$cle] = $value; 	}
	return $old_values;
	}
?>